summaryrefslogtreecommitdiffstats
path: root/tests/data_plane/vpp_lite_topo/test_driver/basic_no_odl.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/data_plane/vpp_lite_topo/test_driver/basic_no_odl.sh')
-rw-r--r--tests/data_plane/vpp_lite_topo/test_driver/basic_no_odl.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/tests/data_plane/vpp_lite_topo/test_driver/basic_no_odl.sh b/tests/data_plane/vpp_lite_topo/test_driver/basic_no_odl.sh
index aab2adb..8a1ac51 100644
--- a/tests/data_plane/vpp_lite_topo/test_driver/basic_no_odl.sh
+++ b/tests/data_plane/vpp_lite_topo/test_driver/basic_no_odl.sh
@@ -63,3 +63,24 @@ function test_basic_no_odl
exit $test_result
}
+function test_negative_mapping
+{
+ 2_node_topo_setup no_odl
+ maybe_pause
+
+ test_result=1
+
+ ip netns exec vppns1 "${1}" -w 15 -c 1 "${2}"
+ rc=$?
+
+ # test done
+ 2_node_topo_clean no_odl
+ if [ $rc -eq 0 ] ; then
+ echo "Test failed!"
+ else
+ echo "Test passed."
+ test_result=0
+ fi
+
+ exit $test_result
+}